ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Clarke <michael.m.cla...@gmail.com>
Subject Re: [ANNOUNCE] Apache Ant 1.9.0 Released
Date Mon, 11 Mar 2013 08:40:03 GMT
>From the release notes:
> - support for @Ignore annotation and requirement of JUnit 4.11

This isn't quite true: we now support @Ignore in JUnit4 but should be
able to support all JUnit versions. The change in JUnit JAR in the
optional directory was to allow testing of Assume failures with a
specified message so only impacts Ant's unit tests, not tests executed
by Ant. I've been using the Nightly Build version of the JUnit task to
execute tests running with JUnit 4.2 for the past week without issue.
Could we therefore update the homepage key features note to make this
clear. I'd suggest just removing the bullet point about JUnit
versions.

Thanks
Michael

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message